OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class Updater

    java.lang.Object
      org.opennms.netmgt.utils.JDBCTemplate
          org.opennms.netmgt.utils.Updater

public class Updater
extends JDBCTemplate

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary

Fields inherited from class org.opennms.netmgt.utils.JDBCTemplate
``

Constructor Summary
`Updater(DbConnectionFactory db, java.lang.String sql)`

Method Summary
`(package private) void` `executeStmt(java.sql.PreparedStatement stmt)`

Methods inherited from class org.opennms.netmgt.utils.JDBCTemplate
`execute, execute, execute, execute, execute, execute, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Updater

    public Updater(DbConnectionFactory db,
                   java.lang.String sql)

Method Detail

### executeStmt

    void executeStmt(java.sql.PreparedStatement stmt)
               throws java.sql.SQLException

  Specified by:
    `executeStmt` in class `JDBCTemplate`
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.